Bug 401881 - Firefox crashes when printing this page.
Firefox crashes when printing this page.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
8
ia64 Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
http://code.google.com/android/refere...
pleaForReproductionFF3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-27 17:01 EST by Juha Anon
Modified: 2008-02-22 05:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-22 05:02:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb trace of Firefox after the crach when printing a web page (39.40 KB, text/plain)
2007-12-01 14:22 EST, Juha Anon
no flags Details
Crash report from Bug buddy: Geccko for the same web page (123.31 KB, text/plain)
2007-12-04 21:48 EST, Juha Anon
no flags Details

  None (edit)
Description Juha Anon 2007-11-27 17:01:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.9) Gecko/20071105 Fedora/2.0.0.9-1.fc8 Firefox/2.0.0.9

Description of problem:
I havn't had any problem printing and previewing other web-pages. But firefox crashes when doing either of those on the given page. This happens every time.

My system is updated with evertything since the release, including todays updates.

I'm running a f8.x86_64 system with Gnome and firefox-2.0.0.9.1.fc8.x86_64.

  -- Juha

Version-Release number of selected component (if applicable):
firefox-2.0.0.9-1.fc8

How reproducible:
Always


Steps to Reproduce:
1. print or preview the given page.
2.
3.

Actual Results:
Firefox dies (that is, the entire application)

Expected Results:
It should print the page.

Additional info:
There's no diagnosics.
Comment 1 Matěj Cepl 2007-11-27 17:47:35 EST
Could you try to run firefox in gdb? That is install firefox-debuginfo package
and then run

firefox -g
then in gdb run command
run

when firefox crashes run in gdb command

thread apply all backtrace

and paste the output of the command to this bug report.

Thank you very much for your help.
Comment 2 Juha Anon 2007-11-28 16:01:51 EST
I can't find anything about a "firefox-debuginfo" package (or anything similar).
How do I get it?

Or at least the symbol file: 
  warning: Missing the separate debug info file:
/usr/lib/debug/.build-id/2d/e42f04eaafc0d064c4085672f9fe5a9bc86d49.debug


  -- Juha
Comment 3 Matěj Cepl 2007-11-29 12:44:48 EST
sudo yum install --enablerepo=fedora-debuginfo firefox-debuginfo

sorry for not making it clear before.
Comment 4 Juha Anon 2007-11-29 16:15:46 EST
I didn't get the right version of debugging symbols from there. My firefox seems
to be a later version. Possibly because there was an update to firefox in todays
packages. The debuginfo may be lagging -- I will look for my version later.

I got debuginfo for: 2.0.0.8-2, and my firefox is: 2.0.0.10.

All I could see was that: Program received signal SIGILL, Illegal instruction.

  -- Juha

firefox-debuginfo       x86_64     2.0.0.8-2.fc8    fedora-debuginfo   59 M

yum info firefox
Installed Packages
Name   : firefox
Arch   : x86_64
Version: 2.0.0.10
Release: 1.fc8
Comment 5 Matěj Cepl 2007-11-30 04:13:23 EST
Sorry for not explaining it enough. Every repository has its -debuginfo (and
-source, but that doesn't matter here) parallel. So, if you have switched on
fedora-updates (or fedora-updates-testing) than you should enable
fedora-updates-debuginfo (or fedora-updates-testing-debuginfo).

I am sorry once more, this is certainly not as obvious as it should be.
Comment 6 Martin Stransky 2007-11-30 04:21:07 EST
Can you please attach a page what crashes your firefox? Or paste an URL here.
Comment 7 Juha Anon 2007-12-01 14:22:19 EST
Created attachment 274781 [details]
gdb trace of Firefox after the crach when printing a web page

The version is firefox-2.0.0.10-1.fc8.x86_64.
The web page is:
http://code.google.com/android/reference/android/view/View.html

This is the only web page where printing fails like that. And it always fails.
The crash is imediatly after clicking the print-button in the print dialog.

I hava a CUPS printer (HP Laserjet 4L) on an USB-port.
Comment 8 Martin Stransky 2007-12-03 03:13:56 EST
I can't reproduce it with Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.10)
Gecko/0000000000 Fedora/2.0.0.10-1.fc8 Firefox/2.0.0.10 pango-text

I'll try the x86_64 version.
Comment 9 Juha Anon 2007-12-04 21:48:35 EST
Created attachment 277571 [details]
Crash report from Bug buddy: Geccko for the same web page

There was a Firefox update today (for bug id: 405584, Canvas.drawimage method
problem). I tried printing the same page as before. It crashed also now, but it
this time it gave a "Bug Buddy" crash report (in the attachment).

  -- Juha
Comment 10 Martin Stransky 2008-02-20 09:27:58 EST
Can you try the latest firefix 3 package? from
http://www.mozilla.org/developer/#builds
Comment 11 Matěj Cepl 2008-02-21 17:34:19 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 12 Matěj Cepl 2008-02-21 17:35:28 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 13 Juha Anon 2008-02-21 20:47:13 EST
The beta3 of firefox seems to have no problem with printing or previewing the
page. Assuming the page itself haven't changed, the problem should be fixed.

The version I tried describes itself as:
Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.9b3) Gecko/2008020513 

Note You need to log in before you can comment on or make changes to this bug.